# class DBus::FormalParameter

# A formal parameter has a name and a type¶ ↑

### Attributes

name[R]
type[R]

### Public Class Methods

new(name, type) click to toggle source

    # File lib/dbus/introspect.rb, line 82
    def initialize(name, type)
      @name = name
      @type = type
    end

### Public Instance Methods

[](index) click to toggle source

backward compatibility, deprecated

    # File lib/dbus/introspect.rb, line 88
    def [](index)
      case index
        when 0 then name
        when 1 then type
        else nil
      end
    end